be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.impl

## Class EncryptedRequestObjectBuilderImpl

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.impl.EncryptedRequestObjectBuilderImpl

- All Implemented Interfaces:
    RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class EncryptedRequestObjectBuilderImpl
      extends Object
      implements RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

  See Also:
    `RequestObjectBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptedRequestObjectBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `MemberDataConsultationRequest` | `buildConsultationRequest(boolean isTest, InputReference references, Object attrQuery)` Creates the `MemberDataConsultationRequest` that will be sent to the EHealth Web service and checks validity against the corresponding XSD

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptedRequestObjectBuilderImpl

          public EncryptedRequestObjectBuilderImpl()

  - ### Method Detail

    - #### buildConsultationRequest

          public MemberDataConsultationRequest buildConsultationRequest(boolean isTest,
                                                                        InputReference references,
                                                                        Object attrQuery)
                                                                 throws TechnicalConnectorException,
                                                                        MemberDataBusinessConnectorException

      Description copied from interface: `RequestObjectBuilder`
      Creates the `MemberDataConsultationRequest` that will be sent to the EHealth Web service and checks validity against the corresponding XSD
      Specified by:
        `buildConsultationRequest` in interface `RequestObjectBuilder`
      Parameters:
        `isTest` - indicates if this is a test or not
        `references` - the reference of the the patient
        `attrQuery` - the attribute query who ll be transformed in b64 and maybe encrypted
      Returns:
        the request that need to be sent
      Throws:
        `TechnicalConnectorException` - the technical connector exception
        `MemberDataBusinessConnectorException` - the MemberData Business connector exception

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.